## pan 0.1

=== DESCRIPTION ===
Package: pan
Version: 0.1
Date: 2003-11-5
Title:  Multiple imputation for multivariate panel or clustered data
Author: Original by Joseph L. Schafer <jls@stat.psu.edu>. 
Maintainer: Jing hua Zhao <j.zhao@public-health.ucl.ac.uk>
Description:  Multiple imputation for multivariate panel or clustered data
License: The software may be distributed free of charge and
 	used by anyone if credit is given. It has been tested 
	fairly well, but it comes with no guarantees and the 
	authors assume no liability for its use or misuse. 
URL: http://www.stat.psu.edu/~jls/misoftwa.html

## pan 0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pan
-Version: 0.1
-Date: 2003-11-5
+Version: 0.2
+Date: 2003-12-20
 Title:  Multiple imputation for multivariate panel or clustered data
 Author: Original by Joseph L. Schafer <jls@stat.psu.edu>. 
 Maintainer: Jing hua Zhao <j.zhao@public-health.ucl.ac.uk>

## pan 0.2-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: pan
-Version: 0.2
-Date: 2003-12-20
+Version: 0.2-1
+Date: 2004-2-28
 Title:  Multiple imputation for multivariate panel or clustered data
 Author: Original by Joseph L. Schafer <jls@stat.psu.edu>. 
-Maintainer: Jing hua Zhao <j.zhao@public-health.ucl.ac.uk>
+Maintainer: Jing hua Zhao <j.zhao@ucl.ac.uk>
 Description:  Multiple imputation for multivariate panel or clustered data
 License: The software may be distributed free of charge and
  	used by anyone if credit is given. It has been tested

## pan 0.2-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pan
-Version: 0.2-1
-Date: 2004-2-28
+Version: 0.2-2
+Date: 2004-4-1
 Title:  Multiple imputation for multivariate panel or clustered data
 Author: Original by Joseph L. Schafer <jls@stat.psu.edu>. 
 Maintainer: Jing hua Zhao <j.zhao@ucl.ac.uk>
@@ -10,3 +10,4 @@
 	fairly well, but it comes with no guarantees and the 
 	authors assume no liability for its use or misuse. 
 URL: http://www.stat.psu.edu/~jls/misoftwa.html
+Packaged: Fri Dec 10 19:17:44 2004; hornik

## pan 0.2-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: pan
-Version: 0.2-2
-Date: 2004-4-1
+Version: 0.2-3
+Date: 2005-3-23
 Title:  Multiple imputation for multivariate panel or clustered data
 Author: Original by Joseph L. Schafer <jls@stat.psu.edu>. 
 Maintainer: Jing hua Zhao <j.zhao@ucl.ac.uk>
@@ -10,4 +10,4 @@
 	fairly well, but it comes with no guarantees and the 
 	authors assume no liability for its use or misuse. 
 URL: http://www.stat.psu.edu/~jls/misoftwa.html
-Packaged: Fri Dec 10 19:17:44 2004; hornik
+Packaged: Sat Apr  2 09:15:38 2005; jzhao

## pan 0.2-4

=== DESCRIPTION ===
Package: pan
Version: 0.2-4
Date: 2007-10-1
Title:  Multiple imputation for multivariate panel or clustered data
Author: Original by Joseph L. Schafer <jls@stat.psu.edu>. 
Maintainer: Jing hua Zhao <jinghua.zhao@mrc-epid.cam.ac.uk>
Description:  Multiple imputation for multivariate panel or clustered data
License: The software may be distributed free of charge and
 	used by anyone if credit is given. It has been tested 
	fairly well, but it comes with no guarantees and the 
	authors assume no liability for its use or misuse. 
URL: http://www.stat.psu.edu/~jls/misoftwa.html
Packaged: Mon Oct  1 16:59:50 2007; jhz22

## pan 0.2-6

=== DESCRIPTION ===
Package: pan
Version: 0.2-6
Date: 2008-5-14
Title:  Multiple imputation for multivariate panel or clustered data
Author: Original by Joseph L. Schafer <jls@stat.psu.edu>. 
Maintainer: Jing hua Zhao <jinghua.zhao@mrc-epid.cam.ac.uk>
Description:  Multiple imputation for multivariate panel or clustered data
License: file LICENSE
URL: http://www.stat.psu.edu/~jls/misoftwa.html
Packaged: Wed May 14 06:59:36 2008; jhz22

## pan 0.3

=== DESCRIPTION ===
Package: pan
Version: 0.3
Date: 2011-4-28
Title: Multiple imputation for multivariate panel or clustered data
Author: Original by Joseph L. Schafer <jls@stat.psu.edu>.
Maintainer: Jing hua Zhao <jinghua.zhao@mrc-epid.cam.ac.uk>
Description: Multiple imputation for multivariate panel or clustered
        data
License: file LICENSE
URL: http://www.stat.psu.edu/~jls/misoftwa.html
Packaged: 2011-04-28 13:26:40 UTC; jhz22
Repository: CRAN
Date/Publication: 2011-04-28 15:37:03

## pan 0.4

=== DESCRIPTION ===
Package: pan
Version: 0.4
Date: 2012-3-19
Title: Multiple imputation for multivariate panel or clustered data
Author: Joseph L. Schafer
Maintainer: Jing hua Zhao <jinghua.zhao@mrc-epid.cam.ac.uk>
Description: Multiple imputation for multivariate panel or clustered
        data
License: file LICENSE
URL: http://www.stat.psu.edu/~jls/misoftwa.html
Packaged: 2012-03-19 12:02:40 UTC; jhz22
Repository: CRAN
Date/Publication: 2012-03-19 16:50:05

## pan 0.5

=== DESCRIPTION ===
Package: pan
Version: 0.5
Date: 2012-8-6
Title: Multiple imputation for multivariate panel or clustered data
Author: Joseph L. Schafer
Maintainer: Jing hua Zhao <jinghua.zhao@mrc-epid.cam.ac.uk>
LazyData: Yes
LazyLoad: Yes
Description: Multiple imputation for multivariate panel or clustered
        data
License: file LICENSE
URL: http://www.stat.psu.edu/~jls/misoftwa.html
Packaged: 2012-08-06 14:13:20 UTC; jhz22
Repository: CRAN
Date/Publication: 2012-08-06 18:23:17

## pan 0.6

=== DESCRIPTION ===
Package: pan
Version: 0.6
Date: 2013-1-7
Title: Multiple imputation for multivariate panel or clustered data
Author: Joseph L. Schafer
Maintainer: Jing hua Zhao <jinghua.zhao@mrc-epid.cam.ac.uk>
LazyData: Yes
LazyLoad: Yes
Description: Multiple imputation for multivariate panel or clustered
        data
License: file LICENSE
URL: http://www.stat.psu.edu/~jls/misoftwa.html
Packaged: 2013-01-07 13:30:59 UTC; jhz22
Repository: CRAN
Date/Publication: 2013-01-07 15:37:51
NeedsCompilation: yes
License_restricts_use: no

## pan 0.7

=== DESCRIPTION ===
Package: pan
Version: 0.7
Date: 2013-4-16
Title: Multiple imputation for multivariate panel or clustered data
Author: Joseph L. Schafer
Maintainer: Jing hua Zhao <jinghua.zhao@mrc-epid.cam.ac.uk>
Suggests: mitools, lme4
LazyData: Yes
LazyLoad: Yes
Description: Multiple imputation for multivariate panel or clustered
        data
License: file LICENSE
URL: http://www.stat.psu.edu/~jls/misoftwa.html
Packaged: 2013-04-16 21:26:58 UTC; jhz22
NeedsCompilation: yes
License_restricts_use: no
Repository: CRAN
Date/Publication: 2013-04-17 07:31:55

## pan 0.9

=== DESCRIPTION ===
Package: pan
Version: 0.9
Date: 2013-9-27
Title: Multiple imputation for multivariate panel or clustered data
Author: Joseph L. Schafer 
Maintainer: Jing hua Zhao <jinghua.zhao@mrc-epid.cam.ac.uk>
Suggests: mitools, lme4
LazyData: Yes
LazyLoad: Yes
Description: Multiple imputation for multivariate panel or clustered data
License: MIT + file LICENSE
URL: http://www.stat.psu.edu/~jls/misoftwa.html
Packaged: 2013-09-27 14:50:36 UTC; jhz22
NeedsCompilation: yes
License_restricts_use: no
Repository: CRAN
Date/Publication: 2013-09-27 19:12:34

## pan 0.136

=== debian/changelog ===
pan (0.136-1) unstable; urgency=low

  * new upstream version:
    - upstream removed the test that failed in kfree-bsd (Closes: #667080)
  * refreshed rm-windows-mac-entries patch
  - removed obsoletes patches (add-missing-pot-file glib-single-include.patch)
  - removed TODO from docs: no longer provided by upstream
  * copyright: updated for new upstreams files and copyright
  * debian/rules:
    + added override_dh_auto_configure to enable optional features
  + debian/control: depends on said optional features: libgnutls-dev
    libnotify-dev  libgnome-keyring-dev and libdbus-1-dev
  + added debian NEWS to warn users about changes in the way
    passwords are stored and potential issues

 -- Dominique Dumont <dod@debian.org>  Sat, 14 Apr 2012 11:44:57 +0200

pan (0.135-3) unstable; urgency=low

  * glib-single-include.patch: New patch to fix FTBS (Closes: #666652)
  * copyright: fix formatting and typo in Comment field
  * control: fixed vcs browse url

 -- Dominique Dumont <dod@debian.org>  Mon, 02 Apr 2012 20:34:58 +0200

pan (0.135-2) unstable; urgency=low

  * copyright: added (many) missing details regarding
    pan source files
  * control: added Vcs-Browser and Vcs-Git

 -- Dominique Dumont <dod@debian.org>  Fri, 23 Mar 2012 18:14:11 +0100

pan (0.135-1) unstable; urgency=low

   * new upstream release
   * Take over deleted package (Closes: #664123).
   * bumped debian/compat to 8
   * source/format: now 3.0 (quilt)
   * rules: restart from dh_make template. Special files are now
     installed by dh_install
   * control:
     * clean up dependencies
     * BD on libgmime-2.6-dev
   * copyright: re-wrote with dep-5 syntax
   * menu: set section to Applications/Network/Communication
   + added debian/watch
   * patch:
     - 01_make_group_searches_regexps.dpatch removed
     * 02_windowsmacosx.dpatch converted to quilt and renamed to
       rm-windows-mac-entries
     - 03_ftbfs-gcc-4.4.dpatch removed
     + added add-missing-pot-file

 -- Dominique Dumont <dod@debian.org>  Sun, 18 Mar 2012 10:31:49 +0100

pan (0.133-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Upload to unstable. The maintainer said he planned to anyway
    in #534517. Closes: #512467, #534517.
  * Fix FTBFS with GCC 4.4 by adding Ubuntu's patch
    (03_ftbfs-gcc-4.4.dpatch). Closes: #504900.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 21 Dec 2009 17:45:48 +0100

pan (0.133-1) experimental; urgency=low

  * New upstream release.
  * Remove patches:
    + debian/patches/CVE-2008-2363.dpatch (closes: #483562)
    + debian/patches/03_ftbfs-gcc-4.3.dpatch
    + debian/patches/04_g_assert.dpatch

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 19 Aug 2008 13:20:54 +0200

pan (0.132-3.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Fix possible buffer overflow by clearing parts from PartsBatch
    class (Closes: #483562)
    Fixes: CVE-2008-2363

 -- Steffen Joeris <white@debian.org>  Sun, 01 Jun 2008 11:55:25 +0000

pan (0.132-3) unstable; urgency=low

  * Fix FTBFS with moved glib header. (closes: #471629)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 06 Apr 2008 20:12:48 +0200

pan (0.132-2) unstable; urgency=low

  * Updated patch to fix FTBFS with gcc 4.3 snapshots. (closes: #441575)

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 03 Oct 2007 21:54:22 +0200

pan (0.132-1) unstable; urgency=low

  * New upstream release. (closes: #434255)
  * Rebuild against newer libgmime to fix segmentation faults when viewing
    articles with attachements. (closes: #434299, #434828, #441075, #442259)
  * Added myself as Co-Maintainer.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 03 Oct 2007 12:26:31 +0200

pan (0.129-1) unstable; urgency=low

  * New upstream release (Closes: #422872).
  * Fixed 01_make_group_searches_regexps.dpatch to work with the new upstream.

 -- Mario Iseli <admin@marioiseli.com>  Tue, 15 May 2007 08:39:22 +0200

pan (0.125-2) unstable; urgency=low

  * New Maintainer (Closes: #417829).
  * Added patches/07_windowsmacosx.dpatch to remove useless environment
    settings for other operating systems (Closes: #414098).
  * Added patches/08_ftbfs-gcc-4.3.dpatch to fix FTBFS with the new gcc
    compiler, thanks to Martin Michlmayr for the patch (Closes: #417481).
  * Removed useless comments in debian/rules.
  * Use now dh_installmenu to install menu file.
  * Set debian/compat to 5 and build-dep on debhelper 5.
  * Modified README.Debian to be template compliant.
  * Removed debian/dirs (unused).
  * Removed some files from debian/docs (foreign platforms).
  * Removed useless comments in debian/pan.1.
  * Renumbered the dpatches from 01 to 03.

 -- Mario Iseli <admin@marioiseli.com>  Mon, 16 Apr 2007 13:24:08 +0200

pan (0.125-1) unstable; urgency=low

  * New upstream release
    - Wrapping should now be fixed (Closes: Bug#411514)
    - Signature delimiter brokenness should now be fixed (Closes: Bug#411417)

 -- Søren Boll Overgaard <boll@debian.org>  Fri, 23 Feb 2007 09:52:23 +0100

pan (0.124-1) unstable; urgency=low

  * New upstream release
    - Pan now reconnects when disconnected (Closes: Bug#216269)

 -- Søren Boll Overgaard <boll@debian.org>  Tue, 13 Feb 2007 21:35:00 +0100

pan (0.123-1) unstable; urgency=low

  * New upstream release

 -- Søren Boll Overgaard <boll@debian.org>  Wed,  7 Feb 2007 07:39:21 +0100

pan (0.120-1) unstable; urgency=low

  * New upstream release

 -- Søren Boll Overgaard <boll@debian.org>  Tue,  2 Jan 2007 22:46:51 +0100

pan (0.119-1) unstable; urgency=low

  * New upstream release

 -- Søren Boll Overgaard <boll@debian.org>  Sat, 11 Nov 2006 10:59:04 +0100

pan (0.118-1) unstable; urgency=low

  * New upstream release
  * Back out patch 06_grouplist_runs_forever, since it is now in upstream.

 -- Søren Boll Overgaard <boll@debian.org>  Fri,  3 Nov 2006 14:43:42 +0100

pan (0.117-2) unstable; urgency=low

  * Add a patch from upstream to fix issue with group list fetching that runs


=== debian/control ===
Source: pan
Maintainer: Dominique Dumont <dod@debian.org>
Section: news
Priority: optional
Build-Depends: autotools-dev,
               debhelper (>= 8.0.0),
               intltool,
               libgmime-2.6-dev,
               libgtk2.0-dev,
               libgtkspell-dev,
               libgnutls-dev,
               libnotify-dev,
               libgnome-keyring-dev,
               libdbus-1-dev
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pan.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pan.git
Homepage: http://pan.rebelbase.com/

Package: pan
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: newsreader based on GTK2, which looks like Forte Agent
 Pan is a newsreader, loosely based on Agent and Gravity, which attempts to be
  pleasant to use for new and advanced users alike. It has all the typical
  features found in newsreaders and also supports offline newsreading,
  sophisticated filtering, multiple connections, and a number of extra features
  for power users and alt.binaries fans.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --with-gnutls --enable-silent-rules --enable-libnotify --with-dbus

## pan 0.139

=== debian/changelog ===
pan (0.139-5build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:27:11 +0000

pan (0.139-5) unstable; urgency=medium

  * Disable CXX11 ABI as suggested upstream (Closes: #804485)
    This is more a work-around than a fix. Upstream is looking
    for volunteers to help maintain pan.
  * copyright: fixed most gpl license text
  * copyright: fixed duplicated license short names
  * removed debian menu (superseded by desktop menu)

 -- Dominique Dumont <dod@debian.org>  Wed, 30 Dec 2015 20:53:35 +0100

pan (0.139-4) unstable; urgency=medium

  * added patches:
    + use x-www-browser by default (Closes: #472110)
    + fix article display issue (Closes: #568332)
    + fix desktop menu entry (Tx lintian)
  * copyright:
    * updated years
    * s/BSD/BSD-3-clause/ (tx lintian)
  * control: updated vcs link and std-version

 -- Dominique Dumont <dod@debian.org>  Sun, 10 May 2015 10:39:32 +0200

pan (0.139-3) unstable; urgency=medium

  * rules:
    * enable verbose build log (Jessie release goal)
    * put back gnutls support. Licenses issues are cleared now.
  * control:
    * fix description formatting (Closes: #733260)
    * bump std-versions to 3.9.5
    * BD on libgnutls28-dev
  * copyright: added comment about license compatibility with
    tls and gmp

 -- Dominique Dumont <dod@debian.org>  Thu, 01 May 2014 14:18:19 +0200

pan (0.139-2) unstable; urgency=low

  * copyright: added missing copyright statement
  * rules: removed support of gnutls (Closes: #699892)
  * control: removed build depend on libgnutls
  * updated NEWS to warn about SSL/TLS drop

 -- Dominique Dumont <dod@debian.org>  Mon, 18 Feb 2013 22:35:51 +0100

pan (0.139-1) unstable; urgency=low

  * Imported Upstream version 0.139
    Mostly bug and translation fixes. (Closes: #678117)
  * control: bump compat to 9 to allow hardening
  * control: build-depends on libgnutls28-dev (to get gnutls >= 3.0)
  * rules: explicitly enable gnome-keyring-support (default is now no)

 -- Dominique Dumont <dod@debian.org>  Sat, 30 Jun 2012 16:31:52 +0200

pan (0.137-1) unstable; urgency=low

  * new upstream release (mostly bug fix)

 -- Dominique Dumont <dod@debian.org>  Fri, 04 May 2012 10:16:19 +0200

pan (0.136-2) unstable; urgency=low

  * control: added dependency on gnome-keyring (Closes: #669239)

 -- Dominique Dumont <dod@debian.org>  Thu, 19 Apr 2012 15:52:55 +0200

=== debian/control ===
Source: pan
Maintainer: Dominique Dumont <dod@debian.org>
Section: news
Priority: optional
Build-Depends: autotools-dev,
               debhelper (>= 9),
               intltool,
               libdbus-1-dev,
               libgmime-2.6-dev,
               libgnome-keyring-dev,
               libgnutls28-dev,
               libgtk2.0-dev,
               libgtkspell-dev,
               libnotify-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pan.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pan.git
Homepage: http://pan.rebelbase.com/

Package: pan
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gnome-keyring
Description: newsreader based on GTK2, which looks like Forte Agent
 Pan is a newsreader, loosely based on Agent and Gravity, which attempts to be
 pleasant to use for new and advanced users alike. It has all the typical
 features found in newsreaders and also supports offline newsreading,
 sophisticated filtering, multiple connections, and a number of extra features
 for power users and alt.binaries fans.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+CXXFLAGS = -D_GLIBCXX_USE_CXX11_ABI=0
+
 %:
 	dh $@  --with autotools-dev
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-gnutls --enable-silent-rules --enable-libnotify --with-dbus
+	dh_auto_configure -- --with-gnutls --enable-gkr --disable-silent-rules --enable-libnotify --with-dbus

## pan 0.140

=== debian/changelog ===
pan (0.140-1) unstable; urgency=medium

  * Imported Upstream version 0.140
  * copyright: updated with cme
  - removed tweak-desktop-entry patch (applied upstream)
  * refreshed patches
  * control:
    * updated std-version to 3.9.7
    * updated Vcs-Git url
  * control, rules: use gtk3 libs instead of gtk2 (Closes: #812833)
  * rules: Re-enabled CXX11 ABI.

 -- Dominique Dumont <dod@debian.org>  Sun, 03 Apr 2016 17:50:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                libgmime-2.6-dev,
                libgnome-keyring-dev,
                libgnutls28-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
                libgtkspell-dev,
                libnotify-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pan.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/pan.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pan.git
 Homepage: http://pan.rebelbase.com/
 
 Package: pan

## pan 0.141

=== debian/changelog ===
pan (0.141-2) unstable; urgency=medium

  * patch to use gpg instead of gpg2 (Closes: #851450)
  * control: add gnupg dependency
  * copyright: add missing license of INSTALL file

 -- Dominique Dumont <dod@debian.org>  Sun, 15 Jan 2017 12:44:15 +0100

pan (0.141-1) unstable; urgency=medium

  * New upstream version 0.141
  * new patch to use xdg-open instead of x-www-browser
    (partial fix of #835934)
  * add cme setup for copyright update
  * update copyright with cme
  * control: bump standard-version to 3.9.8 (cme)
  * fix urls in copyright and patch files (cme)

 -- Dominique Dumont <dod@debian.org>  Sat, 07 Jan 2017 15:11:10 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libgtk-3-dev,
                libgtkspell-dev,
                libnotify-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pan.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pan.git
 Homepage: http://pan.rebelbase.com/
@@ -21,7 +21,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         gnome-keyring
+         gnome-keyring,
+         gnupg
 Description: newsreader based on GTK2, which looks like Forte Agent
  Pan is a newsreader, loosely based on Agent and Gravity, which attempts to be
  pleasant to use for new and advanced users alike. It has all the typical

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CXXFLAGS = -D_GLIBCXX_USE_CXX11_ABI=0
-
 %:
 	dh $@  --with autotools-dev
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-gnutls --enable-gkr --disable-silent-rules --enable-libnotify --with-dbus
+	dh_auto_configure -- --with-gnutls --enable-gkr --with-gtk3 --disable-silent-rules --enable-libnotify --with-dbus

## pan 0.142

=== debian/changelog ===
pan (0.142-1) unstable; urgency=medium

  * New upstream version 0.142
  * control:
    * replace BD on libgnome-keyring-dev with libsecret-1-dev
      (Closes: #867935)
    * added missing Build deps
    * remove obsolete intltool build dep
    * declare compliance with policy 4.0.0
  * copyright: refreshed with cme
  * rules: enable hardening
  * add patch to ship appdata in metainfo dir

 -- Dominique Dumont <dod@debian.org>  Thu, 17 Aug 2017 18:46:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Priority: optional
 Build-Depends: autotools-dev,
                debhelper (>= 9),
-               intltool,
                libdbus-1-dev,
+               libgcr-3-dev,
                libgmime-2.6-dev,
-               libgnome-keyring-dev,
                libgnutls28-dev,
                libgtk-3-dev,
                libgtkspell-dev,
-               libnotify-dev
-Standards-Version: 3.9.8
+               libnotify-dev,
+               libsecret-1-dev,
+               libgtkspell3-3-dev,
+               itstool
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pan.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pan.git
 Homepage: http://pan.rebelbase.com/

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 # As a special exception, when this file is copied by dh-make into a
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# see FEATURE AREAS in dpkg-buildflags(1)
+DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1

## pan 0.144

=== debian/changelog ===
pan (0.144-1) unstable; urgency=medium

  * New upstream version 0.144

 -- Dominique Dumont <dod@debian.org>  Sun, 14 Jan 2018 10:12:00 +0100

pan (0.143-1) unstable; urgency=medium

  * New upstream version 0.143
  * refresh use-x-www-browser patch
  * removed deleted file from fill.copyright.blanks
  * copyright: refreshed with cme
  * control: declare compliance with policy 4.1.1
  * rules: removed --with autotools-dev (deprecated)

 -- Dominique Dumont <dod@debian.org>  Sun, 10 Dec 2017 10:43:03 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libsecret-1-dev,
                libgtkspell3-3-dev,
                itstool
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pan.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pan.git
 Homepage: http://pan.rebelbase.com/

## pan 0.145

=== debian/changelog ===
pan (0.145-1) unstable; urgency=medium

  * New upstream version 0.145
  * control: update Vcs-Browser and Vcs-Git
  * control: declare compliance with policy 4.1.4
  * copyright: update upstream © years with cme

 -- Dominique Dumont <dod@debian.org>  Fri, 25 May 2018 13:43:15 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libsecret-1-dev,
                libgtkspell3-3-dev,
                itstool
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pan.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pan.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/pan
+Vcs-Git: https://salsa.debian.org/debian/pan.git
 Homepage: http://pan.rebelbase.com/
 
 Package: pan

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@  --with autotools-dev
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-gnutls --enable-gkr --with-gtk3 --disable-silent-rules --enable-libnotify --with-dbus

## pan 0.146

=== debian/changelog ===
pan (0.146-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure),
    Repository, Repository-Browse.

  [ Dominique Dumont ]
  * control: replace libgtkspell-dev build dep with libgtk2.0-dev
    (Closes: #967894)

 -- Dominique Dumont <dod@debian.org>  Fri, 11 Sep 2020 18:36:53 +0200

pan (0.146-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Dominique Dumont ]
  * New upstream version 0.146
  * build with gmime 3.0 (Closes: 867354)
  * remove use-gpg patch
  * fix ship-appdata-in-metainfo-dir patch
  * update doc license information (GFDL-1.1+)
  * update copytight information (cme)
  * control:
    * use new debhelper dependency style
    * comply with policy 4.4.1
    * rm build-dep on autotools-dev
    * use https for upstream home url
  * watch: use https to get source

 -- Dominique Dumont <dod@debian.org>  Sun, 27 Oct 2019 18:20:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Maintainer: Dominique Dumont <dod@debian.org>
 Section: news
 Priority: optional
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
+               itstool,
                libdbus-1-dev,
                libgcr-3-dev,
-               libgmime-2.6-dev,
+               libgmime-3.0-dev,
                libgnutls28-dev,
                libgtk-3-dev,
-               libgtkspell-dev,
+               libgtk2.0-dev,
+               libgtkspell3-3-dev,
                libnotify-dev,
-               libsecret-1-dev,
-               libgtkspell3-3-dev,
-               itstool
-Standards-Version: 4.1.4
+               libsecret-1-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/pan
 Vcs-Git: https://salsa.debian.org/debian/pan.git
-Homepage: http://pan.rebelbase.com/
+Homepage: https://pan.rebelbase.com/
 
 Package: pan
 Architecture: any

=== debian/watch ===
version=3
https://pan.rebelbase.com/download/releases/(\d\.\d+)/source/pan-(.*)\.tar\.bz2

## pan 0.149

=== debian/changelog ===
pan (0.149-1) unstable; urgency=medium

  * New upstream version 0.149
    - Fix freeze when loading group with non-ascii characters in subject
    - Avoid mojibake in Subject and Headers
    - Fix x-face folding (FoxMcCloud45)
    - Add Base64-encoded Face header. (FoxMcCloud45)
  * control: set Rules-Requires-Root to no
  * drop patch ship-appdata-in-metainfo-dir

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Dec 2021 11:58:51 +0100

pan (0.148-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove the old pan.xpm icon
  * Rename presubj to pan.bug-presubj, so it is installed by dh_bugfiles
  * Drop the Debian man page, as upstream already provides one

  [ Dominique Dumont ]
  * New upstream version 0.148
  * control: set compat to 13
  * rules: remove obsolete option --with-gmime30
  * watch: updated for new upstream tags
  * docs: install README.org

 -- Dominique Dumont <dod@debian.org>  Fri, 05 Nov 2021 18:17:40 +0100

pan (0.147-1) unstable; urgency=medium

  * New upstream version 0.147 (Closes: 945315, 992329)
  * fix (control) description: mention GTK3 (Closes: 912815)
    Thanks to Jeremy Bicha for the heads-up
  * add experimental patch to remove gtk2 dependency
    Thanks to Simon McVittie for the idea
  * watch: fetch tarballs from upstream's gitlab
  * refreshed patches
  * declare compliance with policy 4.6.0
  * copyright: refreshed with cme, updated upstream contact

 -- Dominique Dumont <dod@debian.org>  Sun, 19 Sep 2021 18:42:37 +0200

=== debian/control ===
Source: pan
Maintainer: Dominique Dumont <dod@debian.org>
Section: news
Priority: optional
Build-Depends: debhelper-compat (= 13),
               itstool,
               libdbus-1-dev,
               libgcr-3-dev,
               libgmime-3.0-dev,
               libgnutls28-dev,
               libgtk-3-dev,
               libgtkspell3-3-dev,
               libnotify-dev,
               libsecret-1-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/pan
Vcs-Git: https://salsa.debian.org/debian/pan.git
Homepage: https://pan.rebelbase.com/
Rules-Requires-Root: no

Package: pan
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gnome-keyring,
         gnupg
Description: newsreader based on GTK3, which looks like Forte Agent
 Pan is a newsreader, loosely based on Agent and Gravity, which attempts to be
 pleasant to use for new and advanced users alike. It has all the typical
 features found in newsreaders and also supports offline newsreading,
 sophisticated filtering, multiple connections, and a number of extra features
 for power users and alt.binaries fans.

## pan 0.151

=== debian/changelog ===
pan (0.151-1) unstable; urgency=medium

  * New upstream version 0.151 (Closes: #821344)
    - Gtk2 minimal version is now 2.24.0. Note that this release is
      probably the last one with Gtk2 support.
    - addition of a helper script to build Pan on Windows (Thomas)
    - fix Gtk3 icon scaling on Windows (Thomas, fixes #144)
    - fix header handling errors (Thomas, fixes #61 and #66)
    - Add a menu entry to allow editing the Score file in text editor
      (Thomas, fixes #11)
    Many thanks to Thomas Tanner for the work done on this release.
  * refreshed patches

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Jun 2022 19:00:40 +0200

pan (0.150-1) unstable; urgency=medium

  * New upstream version 0.150
    - set maximum number of server connections to 20
  * delete patch show_threads_dangling_reference (applied upstream)
  * updated copyright year of dod

 -- Dominique Dumont <dod@debian.org>  Sat, 26 Feb 2022 16:57:48 +0100

## pan 0.154

=== debian/changelog ===
pan (0.154-1) unstable; urgency=medium

  * New upstream version 0.154
    * fix a regression where pan can segfault when
      reading groups. (Closes: #1026984)

 -- Dominique Dumont <dod@debian.org>  Sun, 08 Jan 2023 15:26:10 +0100

pan (0.153-1) unstable; urgency=medium

  * New upstream version 0.153
    - Gtk2 was removed from Pan. Only Gtk3 is working.
    - Links to old pan.rebelbase.com are replaced with links to
      pan gitlab page.
    - Pan can be compiled with clang
    Many thanks to Thomas Tanner for the work done on this release.
  * control: declare compliance with policy 4.6.1
  * fill.copyright.blanks: skip help/de/de.po file
  * copyright: refreshed with cme

 -- Dominique Dumont <dod@debian.org>  Sun, 20 Nov 2022 12:49:31 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libgtkspell3-3-dev,
                libnotify-dev,
                libsecret-1-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/pan
 Vcs-Git: https://salsa.debian.org/debian/pan.git
 Homepage: https://pan.rebelbase.com/

## pan 0.155

=== debian/changelog ===
pan (0.155-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:10:00 +1100

pan (0.155-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:34:37 +0000

pan (0.155-1) unstable; urgency=medium

  * New upstream version 0.155
  * update fill.copyright.blanks
  * refreshed patches
  * control: declare compliance with policy 4.6.2

 -- Dominique Dumont <dod@debian.org>  Sat, 04 Nov 2023 19:12:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pan
-Maintainer: Dominique Dumont <dod@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dominique Dumont <dod@debian.org>
 Section: news
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -12,7 +13,7 @@
                libgtkspell3-3-dev,
                libnotify-dev,
                libsecret-1-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/pan
 Vcs-Git: https://salsa.debian.org/debian/pan.git
 Homepage: https://pan.rebelbase.com/

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-gnutls --enable-gkr --with-gtk3 --disable-silent-rules --enable-libnotify --with-dbus
+	dh_auto_configure -- --with-gnutls --with-gmime-crypto --enable-gkr --with-gtk3 --disable-silent-rules --enable-libnotify --with-dbus

## pan 0.159

=== debian/changelog ===
pan (0.159-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * new upstream version:
    * remove support for obsolete Status Icon
  * copyright: refreshed with cme
  * refresh patches

 -- Dominique Dumont <dod@debian.org>  Sat, 06 Jul 2024 11:39:50 +0200

pan (0.158-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * new upstream version (0.158)
  * add gbp.conf
  * add README.source.org
  * refreshed patch
  * rules: setup build with cmake
  * update fill.copyright.blanks.yml
  * copyright: updated with cme

 -- Dominique Dumont <dod@debian.org>  Sun, 14 Apr 2024 17:36:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pan
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dominique Dumont <dod@debian.org>
+Maintainer: Dominique Dumont <dod@debian.org>
 Section: news
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                itstool,
                libdbus-1-dev,
                libgcr-3-dev,

## pan 0.160

=== debian/changelog ===
pan (0.160-1) unstable; urgency=medium

  * new upstream version
    - fix color management that was broken with v0.159
  * copyright: updated
  * control: declare compliance with policy 4.7.0

 -- Dominique Dumont <dod@debian.org>  Wed, 14 Aug 2024 19:27:12 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libgtkspell3-3-dev,
                libnotify-dev,
                libsecret-1-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/pan
 Vcs-Git: https://salsa.debian.org/debian/pan.git
 Homepage: https://pan.rebelbase.com/

## pan 0.161

=== debian/changelog ===
pan (0.161-1) unstable; urgency=medium

  * new upstream version
    - make build reproducible (Closes: #1078153) (Tx Chris Lamb)
    - header-pane: nail down action and state column widths
    - fix crash in case of ERR_NETWORK
    - replace gtkspell with gspell
  * skip README.source.org when scanning for copyright info
  * control: replace dep libgtkspell3-3 with libgspell-1
  * copyright: refreshed with cme
  * patches: fix meta information
  * add patch to fix "About Pan" window

 -- Dominique Dumont <dod@debian.org>  Sun, 03 Nov 2024 12:49:46 +0100

## pan 0.162

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.25)

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
  message(FATAL_ERROR "Do not build in-source. Please remove CMakeCache.txt and the CMakeFiles/ directory. Then build out-of-source.")
endif()

file(STRINGS "NEWS" news LIMIT_COUNT 1)
string(REGEX MATCH "[0-9.]+" pan_version ${news})
string(REGEX MATCH "\"[a-zA-Z ]+\"" quoted_pan_title ${news})
# remove quotes
string(REGEX REPLACE "\"" "" VERSION_TITLE ${quoted_pan_title})
message(STATUS "Building Pan version ${pan_version} (${VERSION_TITLE})")

# https://cmake.org/cmake/help/latest/command/project.html
project(Pan
  VERSION ${pan_version}
  DESCRIPTION "Pan usenet reader"
  HOMEPAGE_URL "https://gitlab.gnome.org/GNOME/pan"
)

# #cmakedefine completely refuses to recognise CMAKE_PROJECT_VERSION_xxxx or
# PROJECT_VERSION_xxxx
set(VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(VERSION_PATCH ${PROJECT_VERSION_PATCH})
set(VERSION_TWEAK ${PROJECT_VERSION_TWEAK})

set(PAN_DBUS_SERVICE_NAME      "org.gnome.pan")
set(PAN_DBUS_SERVICE_PATH      "/news/pan/NZB")

# Standard CMake modules
include(CTest)

# https://cmake.org/cmake/help/latest/module/CheckIncludeFile.html
include(CheckIncludeFile)
# This will define the default values for installation directories (all platforms even if named GNU)
# https://cmake.org/cmake/help/latest/module/GNUInstallDirs.html
include(GNUInstallDirs)
set(PACKAGE "pan")

set(PACKAGE_BUGREPORT "https://gitlab.gnome.org/GNOME/pan/issues")

# see https://gitlab.gnome.org/GNOME/pan/-/issues/175
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# see https://cmake.org/cmake/help/latest/module/FindThreads.html
find_package(Threads REQUIRED)

# backward compat. There's a lot of ifdef #HAVE_CONFIG_H, #include config.h
# Don't know why...
# https://cmake.org/cmake/help/latest/command/add_compile_definitions.html
add_compile_definitions(HAVE_CONFIG_H)

# Silence deprecation warnings for things deprecated before 2.26,
# and generally set the target behaviour to be like GLib 2.26.
# In principle this should match $GLIB_REQUIRED, but 2.26 is the oldest
# version for which the macros exist (and has been unsupported since
# around 2011 in any case).
add_compile_definitions(GLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)

# Highest version number from which new features are allowed to be used,
# even within a GLIB_CHECK_VERSION check. GLib will produce compile-time
# warnings when features of a newer GLib version are used.
add_compile_definitions("GLIB_VERSION_MAX_ALLOWED=G_ENCODE_VERSION(2,36)")

include_directories("${CMAKE_SOURCE_DIR}")
# this is where config.h is generated
include_directories(${CMAKE_BINARY_DIR})

# https://cmake.org/cmake/help/latest/command/add_executable.html
add_executable(pan pan/gui/pan.cc pan/gui/gui.cc)
# remove this so pan binary lands in build dir. But this requires
# first to rename pan/ dir to src/
set_target_properties(pan PROPERTIES RUNTIME_OUTPUT_DIRECTORY "pan/gui")
target_compile_options(pan PRIVATE "${CXX_STD}" "-Wreorder" "-Wzero-as-null-pointer-constant")


# Don't embed GIT_REV for a reproducible build. This is mostly done in
# Linux distribution build where git rev is not the same as upstream
if (NOT DEFINED ENV{SOURCE_DATE_EPOCH})
  # Get the latest abbreviated commit hash of the working branch
  # see https://jonathanhamberg.com/post/cmake-embedding-git-hash/
  # drawback: commited changed are not taken into account until "cmake ." is run
  execute_process(
    COMMAND git log -1 --format=%h
    WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}
    OUTPUT_VARIABLE GIT_REV
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  message(STATUS "Git rev: ${GIT_REV}")
endif ()

CHECK_INCLUDE_FILE(errno.h HAVE_ERRNO_H)
CHECK_INCLUDE_FILE(fcntl.h HAVE_FCNTL_H)
CHECK_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)

# https://cmake.org/cmake/help/latest/module/CheckSymbolExists.html
include(CheckSymbolExists)
check_symbol_exists(close "unistd.h" HAVE_CLOSE)
check_symbol_exists(localtime_r "time.h" HAVE_LOCALTIME_R)

set(GETTEXT_PACKAGE pan)

find_package(PkgConfig REQUIRED)

function(my_target_system_lib target scope libname)
  # https://cmake.org/cmake/help/latest/command/include_directories.html
  target_include_directories(${target} ${scope} ${${libname}_INCLUDE_DIRS})
  target_compile_options(${target} ${scope} ${${libname}_CFLAGS})
  target_link_directories(${target} ${scope} ${${libname}_LIBRARY_DIRS})
  target_link_libraries(${target} ${scope} ${${libname}_LIBRARIES})
endfunction()

# see https://github.com/shlomif/gtk3-cmake-examples/blob/master/CMakeLists.txt
# Use the package PkgConfig to detect GTK+ headers/library files
pkg_check_modules(GTK3 REQUIRED IMPORTED_TARGET  gtk+-3.0>=3.16.0)

# https://cmake.org/cmake/help/latest/command/find_package.html
# https://cmake.org/cmake/help/latest/module/FindIconv.html
find_package(Iconv)
set(HAVE_ICONV ${Iconv_FOUND})

# https://cmake.org/cmake/help/latest/module/FindZLIB.html
find_package(ZLIB 1.2.0 REQUIRED)
set(HAVE_ZLIB ${ZLIB_FOUND})

# D-Bus support
# https://cmake.org/cmake/help/latest/command/option.html
option(WANT_DBUS "enable D-Bus support (default: no)")
if(WANT_DBUS)
  set(HAVE_DBUS TRUE)
endif()

# https://cmake.org/cmake/help/latest/module/FindPkgConfig.html#command:pkg_check_modules
pkg_check_modules(GMIME REQUIRED IMPORTED_TARGET gmime-3.0)

pkg_check_modules(GLIB REQUIRED IMPORTED_TARGET glib-2.0>=2.26.0)

# Check for GMime cryptography support
option(WANT_GMIME_CRYPTO "enable GMime cryptography support (default: no)")
if(WANT_GMIME_CRYPTO)
  set(HAVE_GMIME_CRYPTO TRUE)
endif()

# GtkSpell support
option(WANT_GSPELL "enable Gspell support (default: on)" ON)
if(WANT_GSPELL)
  pkg_check_modules(GSPELL REQUIRED IMPORTED_TARGET gspell-1)
  set(HAVE_GSPELL true)
endif()

option(WANT_WEBKIT "enable WebKitGTK support (experimental, default: off)")
if(WANT_WEBKIT)
  pkg_check_modules(WEBKITGTK REQUIRED IMPORTED_TARGET webkitgtk-3.0>=1.8.1)
  set(HAVE_WEBKIT true)
endif()

option(WANT_GNUTLS "enable GnuTLS support (default: on)" ON)
if(WANT_GNUTLS)
  pkg_check_modules(GNUTLS REQUIRED IMPORTED_TARGET gnutls>=3.0.0)
  set(HAVE_GNUTLS true)
endif()

option(WANT_NOTIFY "enable libnotify support (default: off)")
if(WANT_NOTIFY)
  pkg_check_modules(LIBNOTIFY REQUIRED IMPORTED_TARGET libnotify>=0.4.1)
  set(HAVE_LIBNOTIFY true)
endif()

option(WANT_GKR "enable GNOME Keyring or libsecret support (default: off)")
if(WANT_GKR)
  pkg_check_modules(LIBSECRET REQUIRED IMPORTED_TARGET libsecret-1>=0.16)
  pkg_check_modules(GCR3 REQUIRED IMPORTED_TARGET gcr-3>=3.20)
  set(HAVE_GKR TRUE)
endif()

option(ENABLE_MANUAL "built in user manual (default: off)")
if (ENABLE_MANUAL)
  set(HAVE_MANUAL 1)
endif()

# Check to see if strftime supports the use of %l and %k
# https://cmake.org/cmake/help/latest/command/try_run.html
# this requires cmake 3.25
try_run(HAVE_LKSTRFTIME COMPILED_LKSTRFTIME_TEST
  SOURCE_FROM_CONTENT test-strftime.c "
#include <string.h>
#include <stdlib.h>
#include <time.h>
int main(int argc, char **argv) {
  char buf[10];
  time_t rawtime = time(0);
  struct tm *timeinfo = localtime (&rawtime);
  strftime(buf, 10, \"%l %k\", timeinfo);
  exit (strstr(buf, \"l\") || strstr(buf, \"k\") || !strcmp(buf,\" \") || !strlen(buf));
}
")

if(NOT COMPILED_LKSTRFTIME_TEST)
  message(WARNING "failed to compile test-strftime.c")
endif()

# Don't embed uname -sr in PLATFORM_INFO for a reproducible build.
if (NOT DEFINED ENV{SOURCE_DATE_EPOCH})
  set(PLATFORM_INFO ${CMAKE_HOST_SYSTEM})
  message(STATUS "platform: ${PLATFORM_INFO}")
endif ()

# https://cmake.org/cmake/help/latest/manual/cmake-variables.7.html
if(APPLE)
  set(G_OS_DARWIN TRUE)
  # TODO: set LOCALEDIR
elseif(WIN32)
  # https://cmake.org/cmake/help/latest/command/target_compile_options.html
  #add_compile_options(mms-bitfields)
  add_compile_definitions(WIN32_LEAN_AND_MEAN)
  target_link_libraries(pan shell32 ws2_32 pthread)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -mwindows")
  # TODO: set LOCALEDIR
else()
  set(LOCALEDIR "/usr/share/locale")
endif()

# https://cmake.org/cmake/help/latest/command/add_subdirectory.html
add_subdirectory(uulib)
add_subdirectory(pan)
add_subdirectory(po)
add_subdirectory(help)

# https://cmake.org/cmake/help/latest/command/configure_file.html
configure_file(${CMAKE_SOURCE_DIR}/config-cmake.h.in ${CMAKE_BINARY_DIR}/config.h)

target_compile_definitions(pan PRIVATE "PANLOCALEDIR=\"${LOCALEDIR}\"")

# https://cmake.org/cmake/help/latest/command/target_link_libraries.html
target_link_libraries(pan
  pan-cc-gui
  pan-c-gui
  data-impl
  tasks
  data
  usenet-utils
  generalutils
  uulib
  ${CMAKE_THREAD_LIBS_INIT}
  PkgConfig::GTK3
  PkgConfig::GMIME
)

if(WIN32)
  target_link_libraries(pan ws2_32)
endif()

# Installation
# https://cmake.org/cmake/help/book/mastering-cmake/chapter/Install.html
# https://cmake.org/cmake/help/latest/command/install.html
install(TARGETS pan DESTINATION ${CMAKE_INSTALL_BINDIR})

set(meta "org.gnome.pan.metainfo.xml")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${meta}.in" "${CMAKE_CURRENT_BINARY_DIR}/${meta}")
install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/${meta}"
  DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/metainfo"
)

set(desktop "org.gnome.pan.desktop")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${desktop}.in" "${CMAKE_CURRENT_BINARY_DIR}/${desktop}")
install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/${desktop}"
  DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
)

set(dbus-file "org.gnome.pan.service")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${dbus-file}.in" "${CMAKE_CURRENT_BINARY_DIR}/${dbus-file}")
install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/${dbus-file}"
  DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services"
)

# install pan man page
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/man1")
file(COPY_FILE "${CMAKE_CURRENT_SOURCE_DIR}/pan.1" "${CMAKE_CURRENT_BINARY_DIR}/man1/pan.1")
install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/man1" TYPE MAN)

=== pan/data-impl/CMakeLists.txt ===
add_library(data-impl
 article-filter.cc
 rules-filter.cc
 data-io.cc
 data-impl.cc
 groups.cc
 headers.cc
 profiles.cc
 server.cc
 my-tree.cc
 task-archive.cc
 xover.cc
)

# Sanity checking
# https://cmake.org/cmake/help/latest/command/add_compile_options.html
target_compile_options(data-impl PRIVATE "${CXX_STD}" "-Wreorder" "-Wzero-as-null-pointer-constant")

target_link_libraries(data-impl PUBLIC PkgConfig::GTK3)
target_link_libraries(data-impl PUBLIC PkgConfig::GMIME)

if(WANT_GNUTLS)
  target_link_libraries(data-impl PUBLIC PkgConfig::GNUTLS)
endif()

if(WANT_GKR)
  target_link_libraries(data-impl PUBLIC PkgConfig::LIBSECRET)
  target_link_libraries(data-impl PUBLIC PkgConfig::GCR3)
endif()

=== debian/changelog ===
pan (0.162-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * new upstream version
    - bug fix: Show multipart binary article information
  * remove obsolete fix-about-pan patch

 -- Dominique Dumont <dod@debian.org>  Tue, 18 Feb 2025 17:46:31 +0100

## pan 0.163

=== debian/changelog ===
pan (0.163-1) unstable; urgency=medium

  * new upstream version
    - Fix Pan window icon in Wayland (Balló György).
    - article rules: simplify algorithm to compute apply. This should
      fix many problems with article rules, including rules to
      remove articles.
    - cert-store: look for trusted certificates in system directories

 -- Dominique Dumont <dod@debian.org>  Sun, 10 Aug 2025 19:56:57 +0200
